Get locations
GET https://{handle}.myshopline.com/admin/openapi/v20261201/locations/list.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get all locations for a store.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
locationsobject[]
Location information list.active booleanWhether the location is enabled.true: enabledfalse: disabled
name stringLocation name.phone stringPhone number.updated_at stringThe date and time when the location was updated. Format: ISO 8601.address2 stringThe second line of the address. This typically includes information such as apartment, suite, or unit number.country stringThe country or region in the address.created_at stringThe date and time when the location was created. Format: ISO 8601.phone_code stringThe international dialing code for the phone number.province_code stringThe code for the province in the address, which is a system custom code.address1 stringThe first line of the address. This typically includes information such as the street address or a post office box number.city stringThe city in the address.country_code stringA two-letter country or region code that follows the ISO 3166-1 standard, used to identify a specific country or region in the address.is_default stringWhether it is the default location. Valid values are:true: default locationfalse: not a default location
province stringThe province in the address.id stringThe unique identifier for the location.legacy booleanWhether it is a fulfillment app location.true: Is a fulfillment app location.false: Is not a fulfillment app location.
zip stringThe postal code information of the address.
API Explorer
Debugger
Examples
Was this article helpful to you?